Subject: Re: Yahoo and "Media RSS"

From: Tim Bray <[email-masked]>
Date: Mon, 03 Jan 2005 10:00:07 -0800

On Dec 16, 2004, at 1:00 PM, Danny Ayers wrote:

> The RSS 2.0 spec says:
> "A RSS feed may contain elements not described on this page, only if
> those elements are defined in a namespace."
> but is (as far as I can see) silent on attributes, so perhaps the
> Yahoo material is perfectly valid, as well as constructs like:
>
> <item number="123">

Yep.  I suppose, for clarity, that the 2.0 spec should have said "may 
contain elements not described on this page, and those elements may 
have attributes in no namespace, but the such elements must be in a 
namespace".  But I think that's the default understanding. -Tim